Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TextureRequest Class Reference

These are the things that a user might explicitly request to adjust on a texture via a line in the .txa file. More...

`#include "textureRequest.h"`

## Public Member Functions
void | pre_txa_file ()
| Sets some state up that must be set prior to reading the .txa file.

## Public Attributes
EggRenderMode::AlphaMode | _alpha_mode
int | _anisotropic_degree
double | _coverage_threshold
bool | _force_format
EggTexture::Format | _format
bool | _generic_format
bool | _got_num_channels
bool | _got_size
bool | _keep_format
EggTexture::FilterType | _magfilter
int | _margin
EggTexture::FilterType | _minfilter
int | _num_channels
bool | _omit
TextureProperties | _properties
EggTexture::WrapMode | _wrap_u
EggTexture::WrapMode | _wrap_v
int | _x_size
int | _y_size

## Detailed Description

These are the things that a user might explicitly request to adjust on a texture via a line in the .txa file.

Definition at line 28 of file textureRequest.h.

## Constructor & Destructor Documentation

## ◆ TextureRequest()

TextureRequest::TextureRequest | ( |  | ) |

Definition at line 20 of file textureRequest.cxx.

## Member Function Documentation

## ◆ pre_txa_file()

void TextureRequest::pre_txa_file | ( |  | ) |

Sets some state up that must be set prior to reading the .txa file.

Definition at line 45 of file textureRequest.cxx.

## Member Data Documentation

## ◆ _alpha_mode

EggRenderMode::AlphaMode TextureRequest::_alpha_mode

Definition at line 47 of file textureRequest.h.

## ◆ _anisotropic_degree

int TextureRequest::_anisotropic_degree

Definition at line 46 of file textureRequest.h.

## ◆ _coverage_threshold

double TextureRequest::_coverage_threshold

Definition at line 51 of file textureRequest.h.

## ◆ _force_format

bool TextureRequest::_force_format

Definition at line 41 of file textureRequest.h.

## ◆ _format

EggTexture::Format TextureRequest::_format

Definition at line 40 of file textureRequest.h.

## ◆ _generic_format

bool TextureRequest::_generic_format

Definition at line 42 of file textureRequest.h.

## ◆ _got_num_channels

bool TextureRequest::_got_num_channels

Definition at line 36 of file textureRequest.h.

## ◆ _got_size

bool TextureRequest::_got_size

Definition at line 35 of file textureRequest.h.

## ◆ _keep_format

bool TextureRequest::_keep_format

Definition at line 43 of file textureRequest.h.

## ◆ _magfilter

EggTexture::FilterType TextureRequest::_magfilter

Definition at line 45 of file textureRequest.h.

## ◆ _margin

int TextureRequest::_margin

Definition at line 50 of file textureRequest.h.

## ◆ _minfilter

EggTexture::FilterType TextureRequest::_minfilter

Definition at line 44 of file textureRequest.h.

## ◆ _num_channels

int TextureRequest::_num_channels

Definition at line 39 of file textureRequest.h.

## ◆ _omit

bool TextureRequest::_omit

Definition at line 49 of file textureRequest.h.

## ◆ _properties

TextureProperties TextureRequest::_properties

Definition at line 33 of file textureRequest.h.

## ◆ _wrap_u

EggTexture::WrapMode TextureRequest::_wrap_u

Definition at line 48 of file textureRequest.h.

## ◆ _wrap_v

EggTexture::WrapMode TextureRequest::_wrap_v

Definition at line 48 of file textureRequest.h.

## ◆ _x_size

int TextureRequest::_x_size

Definition at line 37 of file textureRequest.h.

## ◆ _y_size

int TextureRequest::_y_size

Definition at line 38 of file textureRequest.h.

The documentation for this class was generated from the following files:

- pandatool/src/palettizer/textureRequest.h
- pandatool/src/palettizer/textureRequest.cxx